Skip to navigation

Get Pay Statements by Employee and Date Range

View as Markdown
Retrieves all pay statements for the specified employee within the given date range.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired
employeeIdstringRequired

Headers

testModebooleanOptional
If true, responses are mocked.
AcceptstringOptional

Query parameters

rangeStartstringOptional

The earliest check date of pay statements to return (YYYY-MM-DD).

rangeEndstringOptional

The latest check date of pay statements to return (YYYY-MM-DD).

includeTotalCountbooleanOptional

If true, includes a total-count header in the response.

limitintegerOptional
Maximum number of items to return.
offsetintegerOptional
Number of items to skip before collecting the result set.
fieldsstringOptional

Comma-separated list of fields to include.

filterstringOptional

OData-style filter string.

Response

Successful response